## org.mortbay.io.nio
Class SelectChannelEndPoint.IdleTask

    java.lang.Object
      org.mortbay.thread.Timeout.Task
          org.mortbay.io.nio.SelectChannelEndPoint.IdleTask

Enclosing class:
  SelectChannelEndPoint

    public class SelectChannelEndPoint.IdleTask

extends Timeout.Task

Constructor Summary
`SelectChannelEndPoint.IdleTask()`

Method Summary
`void` `expired()` Expire task.
`java.lang.String` `toString()`

Methods inherited from class org.mortbay.thread.Timeout.Task
`cancel, expire, getAge, getTimestamp, isExpired, isScheduled, reschedule, schedule, schedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectChannelEndPoint.IdleTask

    public SelectChannelEndPoint.IdleTask()

Method Detail

### expired

    public void expired()

  Description copied from class: `Timeout.Task`
  Expire task. This method is called when the timeout expires. It is called outside of any synchronization scope and may be delayed.

  Overrides:
    `expired` in class `Timeout.Task`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.